### Property

# Gio ZlibCompressor:file-info

since: 2.26

#### Declaration

    property file-info: Gio.FileInfo [ read, write ]

#### Description [src]

A `GFileInfo` containing file information to put into the gzip header.

The file name and modification time from the file info will be used.

This will only be used if non-`NULL` and `GZlibCompressor:format` is `G_ZLIB_COMPRESSOR_FORMAT_GZIP`.

Type:`GFileInfo`

Available since: 2.26

Getter method | `g_zlib_compressor_get_file_info()`
Setter method | `g_zlib_compressor_set_file_info()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no